%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Kwalitee
Version:       1.28
Release:       2mamba
Summary:       Test::Kwalitee - An automated test for signs of quality in a Perl module distribtion
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Test/Test-Kwalitee-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Module-CPANTS-Analyse
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Module-Signature
BuildRequires: perl-Test-Warnings
BuildRequires: perl-CPAN-Meta-Check
Requires:      perl >= %perl_major_ver

%description
An automated test for signs of quality in a Perl module distribtion.

%prep
%setup -q -n Test-Kwalitee-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 1.28-2mamba
- rebuilt with perl 5.36.0

* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic version update by autodist

* Fri Aug 30 2013 Automatic Build System <autodist@mambasoft.it> 1.01-3mamba
- automatic rebuild by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.01-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 1.01-1mamba
- update to 1.01

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 0.30-1mamba
- package created by autospec
